# Packmangroup: Other
# Packmanpackagename: ksensors
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>KSensors is a nice lm-sensors frontend for the KDE. You must install <a href="http://secure.netroedge.com/~lm78/">lmsensors drivers</a> before using it.</p>
# Packmanpackagedesc_de: <p>KSensors ist ein h&uuml;bscher lm-sensors Frontend für KDE. F&uuml;r die Benutzung mu&szlig; <a href="http://secure.netroedge.com/~lm78/">lmsensors</a> installiert sein.</p>

%define name    ksensors
%define version 0.7.3
%define release 0.pm.0

Name:           %{name}
Summary:        Sensors frontend for KDE 3.x
Summary(de):    Sensors Frontend für KDE 3.x
License:        GPL
Group:          Applications
URL:            http://ksensors.sourceforge.net
Version:        %{version}
Release:        %{release}

Source0:        ksensors-0.7.3.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      %{_tmppath}/%{name}-buildroot
Autoreqprov:    On
Requires:       qt3 >= %( echo `rpm -q --queryformat '%{VERSION}' qt3` | cut -b 1-3 )
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3` | cut -b 1-3 )
Requires:       kdebase3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdebase3` | cut -b 1-3 )
Requires:       XFree86
Requires:       XFree86-libs
BuildRequires:  kdelibs3-devel
BuildRequires:  kdebase3-devel
BuildRequires:  XFree86-devel
BuildRequires:  glibc-devel

%description
KSensors is a nice lm-sensors frontend for the KDE. You must install lmsensors drivers before using it
(http://secure.netroedge.com/~lm78/).

%description -l de
KSensors ist ein hübscher lm-sensors Frontend für KDE. Für die Benutzung muß lmsensors installiert sein
(http://secure.netroedge.com/~lm78/).

%prep

%setup -q
. /etc/opt/kde3/common_options
export QTDIR=/usr/lib/qt3
export CFLAGS="${RPM_OPT_FLAGS}"
./configure	--with-qt-dir=${QTDIR} \
				--with-qt-includes=${QTDIR}/include \
				--with-qt-libraries=${QTDIR}/lib \
				--enable-mt \
				--prefix=${kde_prefix} \
				--exec-prefix=${kde_prefix} \
				--with-extra-includes=${kde_includes} \
				--with-extra-libs=${kde_libdir}

%build
. /etc/opt/kde3/common_options
make

%install
make DESTDIR=%{?buildroot:%{buildroot}} install

%clean
rm -rf $RPM_BUILD_ROOT

%files

%attr (-,root,root) /*

%changelog
* Thu Aug 19 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.7.3
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed Requires and BuildRequires entries
* Sun Apr 13 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Fri Mar 14 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.7.2
* Thu Oct 03 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
  - first spec file
